petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASGetCycleSNES

Gets the SNES corresponding to a particular level of the FAS hierarchy.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetCycleSNES(SNES snes,PetscInt level,SNES *lsnes)

### Input Parameters

| snes | - the multigrid context Many brlevel - the level to get Many br
| lsnes | - whether to use the nonlinear smoother or not Many br

Many br

### Keywords

FAS, MG, set, cycles, Gauss-Seidel, multigrid

### See Also

SNESFASSetLevels(), SNESFASGetLevels()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html